BizKitHub
DocsAPI ReferencePayment Gateway/bff/payment-gateway/test-connection
postPayment GatewayAdmin BFF

/bff/payment-gateway/test-connection

Tests the connection to a payment gateway with provided credentials. If a gateway code is provided, missing credentials will be loaded from the database, allowing you to test new credentials alongside existing ones.

Payment GatewaypostBffPayment-gatewayTest-connection

Parameters

JSON body

Request body

application/json
codestringOptional

Gateway code - if provided, missing credentials are loaded from DB.

Examplegopay-production
provider"gopay" | "comgate" | "stripe"Required

Payment provider type.

environment"p" | "s" | "t"Optional

Environment: "p" = Production, "s" = Sandbox, "t" = Test.

publicKeystringOptional

Public API key.

secretKeystringOptional

Secret API key.

merchantIdstringOptional

Merchant ID.

secureKeystringOptional

Secure key.

Response schema

1 status code documented

200SuccessConnection test result.
successbooleanRequired

Whether the connection test succeeded.

errorMessagestringOptional

Error message if test failed.

Response example

application/json
{
  "success": false,
  "errorMessage": "example_errorMessage"
}

Request example

POST /bff/payment-gateway/test-connection

post
curl -X POST "https://api.bizkithub.com/bff/payment-gateway/test-connection" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "code": "gopay-production",
  "publicKey": "example_publicKey",
  "secretKey": "example_secretKey",
  "merchantId": "example_merchantId",
  "secureKey": "example_secureKey"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key